package com.ssj.framework.basic.config.service;

import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ssj.framework.basic.config.bean.Config;
import com.ssj.framework.core.common.service.BaseService;


/**
 * 
 * 类名称：ConfigService<br>
 * 类描述：系统参数服务接口<br>
 * @version v1.0
 *
 */
public interface ConfigService extends BaseService<Config, String> {

    /**
     * 清除系统参数缓存
     */
    public void clearConfigCache() ;

    /**
     * 通过系统参数编号获取参数值
     * @param paramCode 参数编号
     * @return
     */
    public String getParamValByCode(String paramCode) ;

    /**
     * 通过系统参数编号获取参数值,参数不存在或为空时返回默认值
     * @param paramCode 参数编号
     * @param defVal 默认值
     * @return
     */
    public String getParamValByCode(String paramCode, String defVal);
    
    
    public String findByParamCode(String paramCode);
    
    public  Page<Config>  findByPage(Map<String, Object> params, Pageable sp);
    
    public Config findConfigByParamCode(String paramCode);

}
